PaymentSense driver for the Omnipay PHP library
PHP
Switch branches/tags
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
src
tests
.gitignore
.travis.yml
CONTRIBUTING.md
LICENSE
README.md
composer.json
phpunit.xml.dist

README.md

Omnipay: PaymentSense

PaymentSense driver for the Omnipay PHP payment processing library

Build Status

Latest Stable Version Total Downloads

Omnipay is a framework agnostic, multi-gateway payment processing library for PHP 5.3+. This driver adds integration for the PaymentSense payment gateway.

Installation

This driver is installed via Composer. To install, simply add it to your composer.json file:

{
    "require": {
        "digitickets/omnipay-paymentsense": "^3.0"
    }
}

And run composer to update your dependencies:

$ curl -s http://getcomposer.org/installer | php
$ php composer.phar update

Basic Usage

This package provides an Omnipay driver for integration with the PaymentSense payment gateway. For general Omnipay usage instructions, please see the main Omnipay repository.

Important! - As this gateway doesn't exist under the main Omnipay namespace, when you create the instance of the driver, you need to specify the complete namespace and class name, eg:

$gateway = Omnipay::create('\Coatesap\PaymentSense\Gateway');

Support

If you believe you have found a bug, please report it using the GitHub issue tracker, or better yet, fork the library and submit a pull request.